using System;
using System.Collections.Generic;
using System.IO;
using System.Web.Mvc;
using AutoDbCreate.WebHost.Models;
using AutoDbCreate.WebHost.Services;
using Spark;
using Spark.FileSystem;
using Spark.Web.Mvc;

namespace AutoDbCreate.WebHost.Controllers
{
    public class HomeController : Controller
    {
        private IRepository<Customer> _customerRepository;

        public HomeController(IRepository<Customer> customerRepository)
        {
            _customerRepository = customerRepository;
        }

        

        public ActionResult Index()
        {
            ViewData["customers"] = _customerRepository.FindAll(); 
            return View();
        }

        public ActionResult DeleteCustomer(int id)
        {
            _customerRepository.Delete(_customerRepository.Find(id));
            return RedirectToAction("index");
        }

        public ActionResult CreateCustomer()
        {
            var ticks = DateTime.Now.Ticks;
            var customer = new Customer
                               {
                                   FirstName = "John" + ticks,
                                   LastName = "Doe" + ticks,
                                   Address = new Address
                                                 {
                                                     Street = ticks + " Anyplace Dr",
                                                     City = "City" + ticks,
                                                     PostalCode = ticks.ToString().Substring(0, 5),
                                                     State = "MN",
                                                     Country = "USA"
                                                 }
                               };
            _customerRepository.Create(customer);

            return RedirectToAction("index");
        }

        public ActionResult ViewCustomer(int id)
        {
            ViewData["customer"] = _customerRepository.Find(id);
            return View(); 
        }
    }
}