using System;
using AutoDbCreate.WebHost.Models;

namespace AutoDbCreate.WebHost.Services
{
    public interface IDataInitializationService : IService
    {
        void InitializeData(); 
    }

    public class DataInitializationService : IDataInitializationService
    {
        private readonly IRepository<Customer> _customerRepository;

        public DataInitializationService(IRepository<Customer> customerRepository)
        {
            _customerRepository = customerRepository;
        }

        public void InitializeData()
        {
            CreateDefaultCustomers(); 
        }

        private void CreateDefaultCustomers()
        {
            // Create some default customers
            _customerRepository.Create(new Customer { FirstName = "Default", LastName = "Customer 1" });
            _customerRepository.Create(new Customer { FirstName = "Default", LastName = "Customer 2" });
            _customerRepository.Create(new Customer { FirstName = "Default", LastName = "Customer 3" }); 
        }
    }
}